<?xml version="1.0" encoding="utf-8"?>
<resources>

    <style name="RtlTextViewStyle">
        <item name="android:textAlignment">viewStart</item>
        <item name="android:gravity">start|center_vertical</item>
    </style>

    <style name="EditTextStyle.Rtl" parent="@android:style/Widget.EditText">
        <item name="android:textAlignment">viewStart</item>
        <item name="android:textCursorDrawable">@drawable/commonui_text_cursor</item>
    </style>

    <style name="TextViewStyle.Rtl" parent="@android:style/Widget.TextView">
        <item name="android:textAlignment">gravity</item>
        <item name="android:includeFontPadding">false</item>
    </style>

    <style name="BottomDialog.Window" parent="@android:style/Animation.Activity">
        <item name="android:windowEnterAnimation">@anim/common_slide_in_from_bottom</item>
        <item name="android:windowExitAnimation">@anim/common_slide_out_bottom</item>
    </style>

    <style name="AppCompatLightDialog" parent="@style/Theme.AppCompat.Light.Dialog">
        <item name="android:editTextStyle">@style/EditTextStyle.Rtl</item>
        <item name="android:textViewStyle">@style/TextViewStyle.Rtl</item>
    </style>

    <style name="BottomDialog" parent="AppCompatLightDialog">
        <item name="android:windowAnimationStyle">@style/BottomDialog.Window</item>
        <item name="android:windowIsFloating">true</item>
        <item name="android:windowBackground">@color/transparent</item>
    </style>

    <style name="WhiteNavBarFullScreenBottomDialog" parent="AppCompatLightDialog">
        <item name="android:windowAnimationStyle">@style/BottomDialog.Window</item>
        <item name="android:windowIsFloating">false</item>
        <item name="android:windowBackground">@color/transparent</item>
        <item name="android:windowFullscreen">true</item>
    </style>

    <style name="FullScreenDialogTheme" parent="Theme.AppCompat.Dialog">
        <item name="android:windowIsFloating">false</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <!--设置透明状态栏，适用于SDK19（4.4）及以上版本-->
        <item name="android:windowTranslucentStatus">true</item>
        <!-- 透明导航栏 -->
        <item name="android:windowTranslucentNavigation">true</item>
    </style>

    <style name="NoTitleDialog" parent="FullScreenDialogTheme">
        <item name="windowActionBar">false</item>
        <item name="windowNoTitle">true</item>
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowTranslucentNavigation">false</item>
    </style>

    <!--红点样式-->
    <style name="CommonRedDot">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>

        <item name="dot_padding_top">1.2dp</item>
        <item name="dot_padding_bottom">1.2dp</item>
        <item name="dot_padding_start">1.2dp</item>
        <item name="dot_padding_end">1.2dp</item>

        <!-- NormalDot -->
        <item name="dot_normal_width">12dp</item>
        <item name="dot_normal_bg">@drawable/common_red_dot_normal_bg</item>

        <!-- NumDot -->
        <item name="dot_num_width">16dp</item>
        <item name="dot_num_bg">@drawable/common_red_dot_text_bg</item>
        <item name="dot_num_text_size">10sp</item>
        <item name="dot_num_text_color">@color/white</item>

        <!-- TextDot -->
        <item name="dot_text_width">16dp</item>
        <item name="dot_text_bg">@drawable/common_red_dot_text_bg</item>
        <item name="dot_text_text_size">10sp</item>
        <item name="dot_text_text_color">@color/white</item>
    </style>

    <!-- 小红点样式(尺寸为CommonRedDot的3/4) -->
    <style name="SmallRedDot">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>

        <item name="dot_padding_top">0.9dp</item>
        <item name="dot_padding_bottom">0.9dp</item>
        <item name="dot_padding_start">0.9dp</item>
        <item name="dot_padding_end">0.8dp</item>

        <!-- NormalDot -->
        <item name="dot_normal_width">9dp</item>
        <item name="dot_normal_bg">@drawable/common_red_dot_normal_bg</item>

        <!-- NumDot -->
        <item name="dot_num_width">12dp</item>
        <item name="dot_num_bg">@drawable/common_red_dot_text_bg</item>
        <item name="dot_num_text_size">7.5sp</item>
        <item name="dot_num_text_color">@color/white</item>

        <!-- TextDot -->
        <item name="dot_text_width">12dp</item>
        <item name="dot_text_bg">@drawable/common_red_dot_text_bg</item>
        <item name="dot_text_text_size">7.5sp</item>
        <item name="dot_text_text_color">@color/white</item>
    </style>

    <style name="CommonEditText">
        <item name="android:textColor">@color/color_FF1D2129</item>
        <item name="android:textColorHint">@color/color_FFCDCFD9</item>
        <item name="android:textSize">14sp</item>
        <item name="android:paddingStart">12dp</item>
        <item name="android:paddingEnd">12dp</item>
        <item name="android:fontFamily">@font/poppins_semibold</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:background">@drawable/common_input_edit_bg</item>
    </style>

    <!-- 透明弹窗主题 -->
    <style name="TransparentDialogTheme" parent="Theme.AppCompat.Dialog">
        <item name="android:windowBackground">@android:color/transparent</item>
        <item name="android:windowIsTranslucent">true</item>
        <item name="android:windowAnimationStyle">@android:style/Animation.Dialog</item>
        <item name="android:backgroundDimEnabled">true</item>
        <item name="android:windowNoTitle">true</item>
        <item name="android:windowIsFloating">true</item>
        <item name="windowActionBar">false</item>
    </style>

    <style name="CommonGenderView">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">15dp</item>
        <item name="android:minWidth">28dp</item>
    </style>

    <style name="CommonPriceView">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
    </style>

    <style name="CommonVerticalFade">
        <item name="android:fadingEdgeLength">24dp</item>
        <item name="android:requiresFadingEdge">vertical</item>
        <item name="android:fadingEdge">vertical</item>
    </style>

    <style name="CommonHorizontalFade">
        <item name="android:fadingEdgeLength">24dp</item>
        <item name="android:requiresFadingEdge">horizontal</item>
        <item name="android:fadingEdge">horizontal</item>
    </style>

    <style name="CommonSwitch">
        <item name="android:layout_width">wrap_content</item>
        <item name="android:layout_height">wrap_content</item>
        <item name="android:switchMinWidth">32dp</item>
        <item name="android:switchPadding">0dp</item>
        <item name="android:thumb">@drawable/common_switch_thumb</item>
        <item name="track">@drawable/common_switch_track_sel</item>
    </style>

    <style name="CommonOnlineRipple">
        <item name="ripple_circle_color">@color/color_FF15E5E2</item>
        <item name="ripple_circle_style">STROKE</item>
        <item name="ripple_circle_duration">1200</item>
        <item name="ripple_circle_count">1</item>
        <item name="ripple_circle_stroke_width">0.94dp</item>
        <item name="ripple_show_inner_circle">true</item>
    </style>

    <style name="RoomOnlineRipple">
        <item name="ripple_circle_color">@color/color_99FFFFFF</item>
        <item name="ripple_circle_style">STROKE</item>
        <item name="ripple_circle_duration">1200</item>
        <item name="ripple_circle_count">2</item>
        <item name="ripple_circle_stroke_width">0.94dp</item>
        <item name="ripple_show_inner_circle">true</item>
    </style>

    <style name="CommonSwitchButton">
        <item name="android:layout_width">40dp</item>
        <item name="android:layout_height">24.5dp</item>
    </style>

    <style name="CommonDiscountPriceUpView">
        <item name="android:background">@drawable/common_discount_price_up_bg</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:layout_height">21dp</item>
        <item name="android:textSize">11sp</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:paddingTop">4dp</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingStart">5dp</item>
        <item name="android:paddingEnd">5dp</item>
    </style>

    <style name="CommonDiscountPriceDownView">
        <item name="android:background">@drawable/common_discount_price_down_bg</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:layout_height">21dp</item>
        <item name="android:textSize">11sp</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:paddingBottom">4dp</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingStart">5dp</item>
        <item name="android:paddingEnd">5dp</item>
    </style>

    <style name="CommonDiscountPriceView">
        <item name="android:background">@drawable/common_discount_price_bg</item>
        <item name="android:includeFontPadding">false</item>
        <item name="android:layout_height">21dp</item>
        <item name="android:textSize">11sp</item>
        <item name="android:textColor">@color/white</item>
        <item name="android:gravity">center</item>
        <item name="android:paddingStart">5dp</item>
        <item name="android:paddingEnd">5dp</item>
    </style>

    <style name="CommonNetworkImage">
        <item name="failureImage">@drawable/common_fail_img_ic</item>
        <item name="failureImageScaleType">centerCrop</item>
<!--        <item name="placeholderImage">@drawable/common_fail_img_ic</item>-->
<!--        <item name="placeholderImageScaleType">centerCrop</item>-->
    </style>
</resources>